org.apache.commons.math3.exception.util

## Interface ExceptionContextProvider

- All Known Implementing Classes:
    CardanEulerSingularityException, ConvergenceException, DimensionMismatchException, FractionConversionException, IllConditionedOperatorException, InvalidRepresentationException, MathArithmeticException, MathIllegalArgumentException, MathIllegalNumberException, MathIllegalStateException, MathInternalError, MathParseException, MathUnsupportedOperationException, MatrixDimensionMismatchException, MaxCountExceededException, ModelSpecificationException, MultiDimensionMismatchException, NoBracketingException, NoDataException, NoFeasibleSolutionException, NonMonotonicSequenceException, NonPositiveDefiniteMatrixException, NonPositiveDefiniteOperatorException, NonSelfAdjointOperatorException, NonSquareMatrixException, NonSquareOperatorException, NonSymmetricMatrixException, NotARotationMatrixException, NotFiniteNumberException, NotPositiveException, NotStrictlyPositiveException, NullArgumentException, NumberIsTooLargeException, NumberIsTooSmallException, OutOfRangeException, SingularMatrixException, SingularOperatorException, TooManyEvaluationsException, UnboundedSolutionException, ZeroException

      public interface ExceptionContextProvider

  Interface for accessing the context data structure stored in Commons Math exceptions.
  Version:
    $Id$

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionContext` | `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

- - ### Method Detail

    - #### getContext

          ExceptionContext getContext()

      Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
      Returns:
        a reference to the exception context.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.